0

When I try to yum install nss-pam-ldapd on CentOS 6.8 I get the following:

$ sudo yum install nss-pam-ldapd
Loaded plugins: fastestmirror, security
Setting up Install Process
No package nss-pam-ldapd available.
Error: Nothing to do

What to do?

$ yum repolist
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
repolist: 0
4
  • Is it already installed? rpm -q nss-pam-ldapd Aug 22, 2016 at 20:10
  • nope. package nss-pam-ldapd is not installed
    – Saqib Ali
    Aug 22, 2016 at 20:14
  • Please update the question with the output of yum repolist so we can be sure you're configured to talk to a repo properly. Aug 22, 2016 at 20:17
  • 1
    You don't have any repo's enabled, which either means they've all been disabled in /etc/yum.repos.d or not defined. You should have a file similar to /etc/yum.repos.d/CentOS-Base.repo that lists the base repo's. In it should be an entry for [base]. If that has enabled=0 in it then delete the enabled line. Similarly for [updates] section. Aug 22, 2016 at 20:58

0

You must log in to answer this question.

Browse other questions tagged .